# instruments

**POST api/instruments**

{% tabs %}
{% tab title="Payload" %}

```
{}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [
        [
            "USD",         // Currency name
            234525425,     // Currency id
            1000000,       // Balance step
            100000000,     // USD valuation
            'fiat',        // Currency type,
            ['SWIFT']      // List of available networks, not present in feed 'I' snapshot     
        ],
        [
            "BTC",
            345465767,
            1,
            1000000000000,
            'crypto',
            ['BTC', 'LN'] 
        ]
    ],
    [
        [
            "BTC-USD",     // Instrument name
            35462742745,   // Instrument id
            "BTC",         // Asset currency name
            "USD"          // Balance currency name
        ]
    ],
    [                       // Not present in feed 'I' snapshot 
        [
            "ERC20",        // Network name
            "Ethereum"      // Network description
            3               // Network id 
        ]
    ]      
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Response description**

| Field name     | Type                 | Description                                                                                                |
| -------------- | -------------------- | ---------------------------------------------------------------------------------------------------------- |
|                | Array\[3]            | Array of 3 elements: currencies, instruments, and networks                                                 |
| 0              | Array of Currencies  | Array of all currencies available                                                                          |
| 1              | Array of Instruments | Array of all instruments available                                                                         |
| 2              | Array of Networks    | <p>Array of all networks available<br>(Field is not present for feed 'I' snapshot)</p>                     |
| **Currency**   | Array\[5]            |                                                                                                            |
| 0              | string               | Currency name                                                                                              |
| 1              | unsigned int32       | Currency Id                                                                                                |
| 2              | Efx::Size            | <p>Balance Step, minimum fraction of currency.</p><p>From 1 to 1000000</p>                                 |
| 3              | Efx::Price           | Current USD valuation for risk control                                                                     |
| 4              | string               | Currency Type Name                                                                                         |
| 5              | Array\[string]       | <p>Array of network names  available for that currency<br>(Field is not present for feed 'I' snapshot)</p> |
| **Instrument** | Array\[4]            |                                                                                                            |
| 0              | string               | Instrument Name                                                                                            |
| 1              | unsigned int64       | Instrument Id (used only in WebSocket Feed B as feedId)                                                    |
| 2              | string               | Asset Currency Name                                                                                        |
| 3              | string               | Balance Currency Name                                                                                      |
| **Network**    | Array\[3]            |                                                                                                            |
| 0              | string               | Network name                                                                                               |
| 1              | string               | Network description                                                                                        |
| 2              | unsigned int32       | Network ID                                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/pricing-and-instruments/instruments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
